CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2001-0414

Buffer overflow in ntpd ntp daemon 4.0.99k and earlier (aka xntpd and xntp3) allows remote attackers to cause a denial of service and possibly execute arbitrary commands via a long readvar argument.
Publish Date : 2001-06-18 Last Update Date : 2017-10-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access Admin
Vulnerability Type(s) Denial Of ServiceExecute CodeOverflow
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat 2001-04-04
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
Buffer Overflow in ntp Daemon via readvar oval:org.mitre.oval:def:3831 unix
Multiple Vendor NTP Buffer Overflow oval:org.mitre.oval:def:5402 ios
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2001-0414

# Product Type Vendor Product Version Update Edition Language
1 Application Dave Mills Ntpd 4.0.99i Version Details Vulnerabilities
2 Application Dave Mills Ntpd 4.0.99d Version Details Vulnerabilities
3 Application Dave Mills Ntpd 4.0.99j Version Details Vulnerabilities
4 Application Dave Mills Ntpd 4.0.99e Version Details Vulnerabilities
5 Application Dave Mills Ntpd 4.0.99 Version Details Vulnerabilities
6 Application Dave Mills Ntpd 4.0.99k Version Details Vulnerabilities
7 Application Dave Mills Ntpd 4.0.99f Version Details Vulnerabilities
8 Application Dave Mills Ntpd 4.0.99a Version Details Vulnerabilities
9 Application Dave Mills Ntpd 4.0.99g Version Details Vulnerabilities
10 Application Dave Mills Ntpd 4.0.99b Version Details Vulnerabilities
11 Application Dave Mills Ntpd 4.0.99h Version Details Vulnerabilities
12 Application Dave Mills Ntpd 4.0.99c Version Details Vulnerabilities
13 Application Dave Mills Xntp3 5.93b Version Details Vulnerabilities
14 Application Dave Mills Xntp3 5.93c Version Details Vulnerabilities
15 Application Dave Mills Xntp3 5.93d Version Details Vulnerabilities
16 Application Dave Mills Xntp3 5.93e Version Details Vulnerabilities
17 Application Dave Mills Xntp3 5.93 Version Details Vulnerabilities
18 Application Dave Mills Xntp3 5.93a Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Dave Mills Ntpd 12
Dave Mills Xntp3 6

- References For CVE-2001-0414

https://www.debian.org/security/2001/dsa-045
DEBIAN DSA-045
http://marc.info/?l=bugtraq&m=98683952401753&w=2
BUGTRAQ 20010409 ntp-4.99k23.tar.gz is available
https://exchange.xforce.ibmcloud.com/vulnerabilities/6321
XF ntpd-remote-bo(6321)
http://www.securityfocus.com/bid/2540
BID 2540 Ntpd Remote Buffer Overflow Vulnerability Release Date:2007-11-05
http://www.linux-mandrake.com/en/security/2001/MDKSA-2001-036.php3
MANDRAKE MDKSA-2001:036
http://www.calderasystems.com/support/security/advisories/CSSA-2001-013.0.txt
CALDERA CSSA-2001-013
http://marc.info/?l=bugtraq&m=98684532921941&w=2
BUGTRAQ 20010409 ntpd - new Debian 2.2 (potato) version is also vulnerable
http://marc.info/?l=bugtraq&m=98684202610470&w=2
BUGTRAQ 20010409 PROGENY-SA-2001-02: ntpd remote buffer overflow
http://marc.info/?l=bugtraq&m=98659782815613&w=2
BUGTRAQ 20010406 Immunix OS Security update for ntp and xntp3
http://marc.info/?l=bugtraq&m=98679815917014&w=2
BUGTRAQ 20010408 [slackware-security] buffer overflow fix for NTP
http://marc.info/?l=bugtraq&m=98654963328381&w=2
BUGTRAQ 20010405 Re: ntpd =< 4.0.99k remote buffer overflow]
http://marc.info/?l=bugtraq&m=98642418618512&w=2
BUGTRAQ 20010404 ntpd =< 4.0.99k remote buffer overflow
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000392
CONECTIVA CLA-2001:392
http://lists.suse.com/archives/suse-security-announce/2001-Apr/0000.html
SUSE SuSE-SA:2001:10
http://archives.neohapsis.com/archives/bugtraq/2001-04/0314.html
BUGTRAQ 20010418 IBM MSS Outside Advisory Redistribution: IBM AIX: Buffer Overflow Vulnerability in (x)ntp
http://archives.neohapsis.com/archives/bugtraq/2001-04/0225.html
BUGTRAQ 20010413 PROGENY-SA-2001-02A: [UPDATE] ntpd remote buffer overflow
http://archives.neohapsis.com/archives/bugtraq/2001-04/0127.html
BUGTRAQ 20010409 [ESA-20010409-01] xntp buffer overflow
ftp://ftp.sco.com/SSE/sse074.ltr
SCO SSE074
ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-01:31.ntpd.asc
FREEBSD FreeBSD-SA-01:31
ftp://ftp.sco.com/SSE/sse073.ltr
SCO SSE073
ftp://ftp.netbsd.org/pub/NetBSD/misc/security/advisories/NetBSD-SA2001-004.txt.asc
NETBSD NetBSD-SA2001-004
http://www.redhat.com/support/errata/RHSA-2001-045.html
REDHAT RHSA-2001:045

- Metasploit Modules Related To CVE-2001-0414

NTP Daemon readvar Buffer Overflow
This module exploits a stack based buffer overflow in the ntpd and xntpd service. By sending an overly long 'readvar' request it is possible to execute code remotely. As the stack is corrupted, this module uses the Egghunter technique.
Module type : exploit Rank : good Platforms : Linux


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.